Bug 682591 - [abrt] wodim-1.1.11-1.fc14: read_ftoc: Process /usr/bin/readom was killed by signal 11 (SIGSEGV)
Summary: [abrt] wodim-1.1.11-1.fc14: read_ftoc: Process /usr/bin/readom was killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrkit
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f223a841d8887fd00d0936d5b4c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-06 23:48 UTC by Patrick O'Callaghan
Modified: 2011-03-25 06:58 UTC (History)
1 user (show)

Fixed In Version: cdrkit-1.1.11-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-24 19:29:47 UTC


Attachments (Terms of Use)
File: backtrace (17.46 KB, text/plain)
2011-03-06 23:48 UTC, Patrick O'Callaghan
no flags Details

Description Patrick O'Callaghan 2011-03-06 23:48:50 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 17883 bytes
cmdline: readcd dev=/dev/sr0
component: cdrkit
Attached file: coredump, 2146304 bytes
crash_function: read_ftoc
executable: /usr/bin/readom
kernel: 2.6.35.11-83.fc14.x86_64
package: wodim-1.1.11-1.fc14
rating: 4
reason: Process /usr/bin/readom was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1299447571
uid: 500

comment
-----
$ readcd dev=/dev/sr0
Error trying to open /dev/sr0 exclusively (Device or resource busy)... retrying in 1 second.
Error trying to open /dev/sr0 exclusively (Device or resource busy)... retrying in 1 second.
Errno: 5 (Input/output error), set cd speed scsi sendcmd: no error
CDB:  BB 00 FF FF FF FF 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 02 00 00 00 00 10 00 00 00 00 04 01 00 00
Sense Key: 0x2 Not Ready, Segment 0
Sense Code: 0x04 Qual 0x01 (logical unit is in process of becoming ready) Fru 0x0
Sense flags: Blk 0 (not valid) 
cmd finished after 0.104s timeout 40s
Read  speed:  7056 kB/s (CD  40x, DVD  5x).
Write speed:  7056 kB/s (CD  40x, DVD  5x).
0:read 1:veri   2:erase   3:read buffer 4:cache 5:ovtime 6:cap
7:wne  8:floppy 9:verify 10:checkcmds  11:read disk 12:write disk
13:scsireset 14:seektest 15: readda 16: reada 17: c2err
18:readom 19: lin 20: full toc
Enter selection: 0 (0 - 20)/<cr>:20
Segmentation fault (core dumped)

How to reproduce
-----
1.Inserted a dual-layer DVD+R disc
2.Ran readcd
3.Segfault

Comment 1 Patrick O'Callaghan 2011-03-06 23:48:54 UTC
Created attachment 482562 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-08 09:08:14 UTC
cdrkit-1.1.11-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cdrkit-1.1.11-2.fc14

Comment 3 Fedora Update System 2011-03-08 10:46:13 UTC
cdrkit-1.1.11-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cdrkit-1.1.11-5.fc15

Comment 4 Fedora Update System 2011-03-24 19:29:42 UTC
cdrkit-1.1.11-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-03-25 06:58:03 UTC
cdrkit-1.1.11-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.